commit:     6d35a3a78373c711a2b940a9c5a745c64c8cebaa
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  7 06:05:59 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct  7 06:07:02 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d35a3a7

net-libs/sofia-sip: add 1.13.16

Bug: https://bugs.gentoo.org/891791
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 net-libs/sofia-sip/Manifest                 |  1 +
 net-libs/sofia-sip/sofia-sip-1.13.16.ebuild | 44 +++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/net-libs/sofia-sip/Manifest b/net-libs/sofia-sip/Manifest
index 785a6913d0ff..e35e8f19aeab 100644
--- a/net-libs/sofia-sip/Manifest
+++ b/net-libs/sofia-sip/Manifest
@@ -1 +1,2 @@
+DIST sofia-sip-1.13.16.tar.gz 2553298 BLAKE2B 
f9be6a1cd0cae96383e1d1ca8d1ef26deda5e5565dd8b223f6e6a34b596f48cd9e18536b6a53a736b20b7fcf7c67695069e1ba60ff466a932ae5642c9e0b8326
 SHA512 
29a5bd1e38b5b80d6cd6aeb6f3cff3c93660314a8577b550975ad6eddbc8a2ce341dff3f510cb4f24037bfb0ce5ada142b130a9576a8d6acfb06a38088cdcf50
 DIST sofia-sip-1.13.9.tar.gz 2551559 BLAKE2B 
69b5c0e995475a23012e2608a4b146058689c5243221ea1569e40514408884cf602dce2a53cf2468c449bbce14f03082aece0a9249f1a517829d963e56a1792d
 SHA512 
bec7c11d94cc7243d6e1d11eb6fe0b666c018d9eb599896766b55773825cf3e218267d7e6efd1a9f7cb6e1eab79c2b6a38095bfc5a8f013a647588a676f707ec

diff --git a/net-libs/sofia-sip/sofia-sip-1.13.16.ebuild 
b/net-libs/sofia-sip/sofia-sip-1.13.16.ebuild
new file mode 100644
index 000000000000..00c83c39e27e
--- /dev/null
+++ b/net-libs/sofia-sip/sofia-sip-1.13.16.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="RFC3261 compliant SIP User-Agent library"
+HOMEPAGE="https://github.com/freeswitch/sofia-sip";
+SRC_URI="https://github.com/freeswitch/${PN}/archive/refs/tags/v${PV}.tar.gz 
-> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1+ BSD public-domain" # See COPYRIGHT
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-linux"
+IUSE="ssl test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-libs/glib:2
+       ssl? (
+               dev-libs/openssl:0=
+       )"
+DEPEND="${RDEPEND}
+       test? ( dev-libs/check )"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --disable-static \
+               $(use_with ssl openssl)
+}
+
+src_install() {
+       default
+       dodoc RELEASE
+
+       # no static archives
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to